# Enum Class VulkanShaderStageFlag

java.lang.Object
java.lang.Enum<VulkanShaderStageFlag>
com.io7m.jcoronado.api.VulkanShaderStageFlag

All Implemented Interfaces:
  `VulkanEnumBitmaskType`, `Serializable`, `Comparable<VulkanShaderStageFlag>`, `Constable`

public enum VulkanShaderStageFlag extends Enum<VulkanShaderStageFlag> implements VulkanEnumBitmaskType

See Also:
  - "VkShaderStageFlagBits"

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VK_SHADER_STAGE_ALL`
  A combination of bits used as shorthand to specify all shader stages supported by the device, including all additional stages which are introduced by extensions.
  `VK_SHADER_STAGE_ALL_GRAPHICS`
  A combination of bits used as shorthand to specify all graphics stages defined above (excluding the compute stage).
  `VK_SHADER_STAGE_COMPUTE_BIT`
  The compute stage.
  `VK_SHADER_STAGE_FRAGMENT_BIT`
  The fragment stage.
  `VK_SHADER_STAGE_GEOMETRY_BIT`
  The geometry stage.
  `VK_SHADER_STAGE_TESSELLATION_CONTROL_BIT`
  The tessellation control stage.
  `VK_SHADER_STAGE_TESSELLATION_EVALUATION_BIT`
  The tessellation evaluation stage.
  `VK_SHADER_STAGE_VERTEX_BIT`
  The vertex stage.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static VulkanShaderStageFlag`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanShaderStageFlag[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VK_SHADER_STAGE_VERTEX_BIT

    public static final VulkanShaderStageFlag VK_SHADER_STAGE_VERTEX_BIT
    The vertex stage.

  - ### VK_SHADER_STAGE_TESSELLATION_CONTROL_BIT

    public static final VulkanShaderStageFlag VK_SHADER_STAGE_TESSELLATION_CONTROL_BIT
    The tessellation control stage.

  - ### VK_SHADER_STAGE_TESSELLATION_EVALUATION_BIT

    public static final VulkanShaderStageFlag VK_SHADER_STAGE_TESSELLATION_EVALUATION_BIT
    The tessellation evaluation stage.

  - ### VK_SHADER_STAGE_GEOMETRY_BIT

    public static final VulkanShaderStageFlag VK_SHADER_STAGE_GEOMETRY_BIT
    The geometry stage.

  - ### VK_SHADER_STAGE_FRAGMENT_BIT

    public static final VulkanShaderStageFlag VK_SHADER_STAGE_FRAGMENT_BIT
    The fragment stage.

  - ### VK_SHADER_STAGE_COMPUTE_BIT

    public static final VulkanShaderStageFlag VK_SHADER_STAGE_COMPUTE_BIT
    The compute stage.

  - ### VK_SHADER_STAGE_ALL_GRAPHICS

    public static final VulkanShaderStageFlag VK_SHADER_STAGE_ALL_GRAPHICS
    A combination of bits used as shorthand to specify all graphics stages defined above (excluding the compute stage).

  - ### VK_SHADER_STAGE_ALL

    public static final VulkanShaderStageFlag VK_SHADER_STAGE_ALL
    A combination of bits used as shorthand to specify all shader stages supported by the device, including all additional stages which are introduced by extensions.

- ## Method Details

  - ### values

    public static VulkanShaderStageFlag[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanShaderStageFlag valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()
    Specified by:
      `value` in interface `VulkanEnumBitmaskType`
    Returns:
      The integer value of the constant